extends Setting
## Setting with checkbox representing a boolean value.

@onready var checkbox: CheckBox = %TextCheckbox


func initialize_value(value: Variant) -> void:
	@warning_ignore("unsafe_cast")
	checkbox.button_pressed = value as bool


func get_value() -> Variant:
	return checkbox.button_pressed
